﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Ozeki.Network.Nat;

namespace VideoSoftphone
{
    public partial class AdvancedSettings : Form
    {
        public AdvancedSettings()
        {
            InitializeComponent();
        }

        private void AdvancedSettings_Load(object sender, EventArgs e)
        {
                       
        }

        public bool IsRegRequired;
        public String displayname;
        public String username;
        public String registername;
        public String regpass;
        public String domainhost;
        public int port;
        public NatTraversalMethod natTraversal = 0;

        private void OKButton_Click(object sender, EventArgs e)
        {

            try
            {

                try
                {
                    IsRegRequired = RegReqCheckBox.Checked;
                    displayname = DispNameTextBox.Text;
                    username = UserNameTextBox.Text;
                    registername = RegNameTextBox.Text;
                    regpass = RegPassTextBox.Text;
                    domainhost = IP1TextBox.Text + "." + IP2TextBox.Text + "." + IP3TextBox.Text + "." + IP4TextBox.Text;
                    port = Int32.Parse(PortTextBox.Text);
                    switch (NatComboBox.SelectedIndex)
                    {
                        case -1:
                        case 0:
                            natTraversal = NatTraversalMethod.None;
                            break;
                        case 1:
                            natTraversal = NatTraversalMethod.STUN;
                            break;
                        case 2:
                            natTraversal = NatTraversalMethod.TURN;
                            break;
                    }
                    this.Close();
                }
                catch (Exception ex)
                {
                    MessageBox.Show(String.Format("The port number you set is invalid, please set a valid port number.\n {0}", ex.Message), string.Empty, MessageBoxButtons.OK,
                    MessageBoxIcon.Error);
                }
            }
            catch (Exception ex)
            {
                MessageBox.Show(String.Format("The port number you set is invalid, please set a valid port number.\n {0}", ex.Message), string.Empty, MessageBoxButtons.OK,
                MessageBoxIcon.Error);
            }

        }
    }
}
